Bug 123271 - (IT_40142) Users get error message when changing passwords after applying KB828741
Users get error message when changing passwords after applying KB828741
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
http://www.bibsyst.no/samba/whatsnew/...
:
Depends On:
Blocks: 122950
  Show dependency treegraph
 
Reported: 2004-05-15 07:08 EDT by Wouter Liefting
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-22 07:01:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wouter Liefting 2004-05-15 07:08:26 EDT
Description of problem:

Users on WinXP systems (and possibly other MS systems) get an error
"The system cannot change your password right now because domain XXX
is unavailable" (or something similar - this is translated from Dutch)
when changing their passwords. This happens after applying MS patch
KB 828741 (=security critical)

Version-Release number of selected component (if applicable):

RHEL 3, completely up2date. Uses Samba-3.0.2-6.3E

How reproducible:

Change password using a KB828741 patched system.

Steps to Reproduce:
1. Change password
  
Actual results:

Got error

Expected results:

Changed password

Additional info:

This is a known issue with Samba, and Samba 3.0.4 fixes this. See
3.0.4 release notes. Please make an updated RPM available for RHEL 3
Comment 2 Nicholas J Kreucher 2004-06-02 14:03:56 EDT
This fix is absolutely critical and should be back ported into 3.0.2
or RHEL3 samba packages updated to 3.0.4, which is preferred given the
number of samba bugs 3.0.3 and 3.0.4 fix (a number of which we are
running into here with a production samba+ldap environment of 100some
users).

Can you please update with current status?


http://us4.samba.org/samba/ftp/WHATSNEW-3.0.4.txt
Comment 3 Jay Fenlason 2004-06-18 15:06:28 EDT
I've built new rpms that are currently going through QA.  If you 
want to try them, I put a copy on 
http://people.redhat.com/fenlason/.samba/samba-*3.0.4-3.3E.i386.rpm 
 
Note that these have not yes been QAd, use at your own risk, etc. 
Comment 4 Jay Fenlason 2004-06-25 10:23:23 EDT
samba-3.0.4-3.3E is being targeted for release in U3 
Comment 5 Mark J. Cox (Product Security) 2004-07-22 07:01:07 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-259.html
Comment 6 Mark J. Cox (Product Security) 2004-07-22 10:47:28 EDT
A user reports "I checked the samba sites and noticed that it
refereences KB 828741 (actually 828741 as MS don't use KB for patches
any more. However, this is for MS04-012, when the real problem is with
MS04-011 as stated in the Samba changelog. This is 835732."


Note You need to log in before you can comment on or make changes to this bug.